
#include <iostream>
#include<cstdio>
#include<algorithm>
#include <cmath>
using namespace std;
int main()
{
    long long t;
    long long t1=0;
    long long ans;
    long long n;
    long long now;
    long long m;
    scanf("%lld",&t);
    while(t--)
    {
        scanf("%lld",&n);
        ans=0;
        m=sqrt(n);
        for(long long i=1;i<=m; i++)
        {
            now=n/i-n/(i+1);
            ans+=(i*now);
            ans+=(n/i);
        }
        if(n/m==m)ans-=m;
        printf("Case %lld: %lld\n",++t1,ans);
    }
    return 0;
}
